# TextXAlignment

## Overview

TextXAlignment는 텍스트의 수평 정렬 스타일을 지정하는 Enum입니다.

TextLabel과 TextButton의 TextXAlignment 속성에서 사용되며, 텍스트가 요소 내에서 왼쪽, 가운데, 오른쪽 중 어디에 배치될지를 결정합니다.

## Items

| Name   | Value | Description          |
| ------ | ----- | -------------------- |
| Left   | 0     | 텍스트를 왼쪽에 정렬합니다.      |
| Right  | 1     | 텍스트를 오른쪽에 정렬합니다.     |
| Center | 2     | 텍스트를 수평으로 가운데 정렬합니다. |

## See also

{% content-ref url="/pages/EgWxUIbUDIALVPZH7qN0" %}
[TextButton](/korean/development/api-reference/classes/textbutton.md)
{% endcontent-ref %}

{% content-ref url="/pages/TCVRv0pNSKmoRlYtDnNq" %}
[TextLabel](/korean/development/api-reference/classes/textlabel.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/textxalignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
